Skip to navigation

Retrieve an email template

View as Markdown
Queries the email template based on the specified ID. This operation supports retrieving the email template for all event types.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

idstringRequiredformat: "uuid"
The ID of the email template.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional

A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header. examples:

Response

OK
activebooleanOptional
The status of the email template.
bccEmailAddressstringOptionalformat: "email"
Email BCC address.
ccEmailAddressstringOptional
Email CC address.
ccEmailTypeenumOptionalDefaults to SpecificEmails
Email cc type.
createdBystringOptionalformat: "uuid"
The ID of the user who created the email template.
createdOndatetimeOptional

The time when the email template was created. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

descriptionstringOptional<=255 characters
The description of the email template.
emailBodystringOptional

The email body. You can add merge fields in the email body using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.

User can also embed html tags if isHtml is true.

emailHeadersmap from strings to stringsOptional
Container for custom email headers. Each custom email header consists of a header name and a header value.
emailSubjectstringOptional

The email subject. You can add merge fields in the email subject using angle brackets or double curly brackets. For more information, see Merge field syntax for email templates.

encodingTypeenumOptional
The endcode type of the email body.
Allowed values:
eventCategorydoubleOptional

The event category code for a standard event. See Standard Event Categories for all event category codes.

eventTypeNamestringOptional>=1 character
The name of the custom event or custom scheduled event.
eventTypeNamespacestringOptional

The namespace of the eventTypeName field for custom events and custom scheduled events.

fromEmailAddressstringOptional
If formEmailType is SpecificEmail, this field is required.
fromEmailTypeenumOptional
The from email type.
Allowed values:
fromNamestringOptional<=50 characters
The name of email sender.
idstringOptionalformat: "uuid"
The email template ID.
isHtmlbooleanOptional
Indicates whether the style of email body is HTML.
namestringOptional<=255 characters
The name of the email template.
replyToEmailAddressstringOptional
If replyToEmailType is SpecificEmail, this field is required
replyToEmailTypeenumOptional
The reply email type.
Allowed values:
toEmailAddressstringOptional

If toEmailType is SpecificEmail, this field is required.

toEmailTypeenumOptional
Email receive type.
updatedBystringOptionalformat: "uuid"
The ID of the user who updated the email template.
updatedOndatetimeOptional

The time when the email template was updated. Specified in the UTC timezone in the ISO860 format (YYYY-MM-DDThh:mm:ss.sTZD). E.g. 1997-07-16T19:20:30.45+00:00

Errors

400
Bad Request Error
404
Not Found Error
405
Method Not Allowed Error
415
Unsupported Media Type Error
500
Internal Server Error